Subject: bug#61917: closed (Re: bug#61917: 29.0.60; native compilation issues)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Mar 2023 13:33:02 +0000

Your bug report

#61917: 29.0.60; native compilation issues

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61917: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61917
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61917: 29.0.60; native compilation issues
From: Andrea Corallo <[email-masked]>
To: Naofumi Yasufuku <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, Al Haji-Ali <[email-masked]>, [email-masked]
Date: Thu, 30 Mar 2023 13:32:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Naofumi Yasufuku <[email-masked]> writes:

> Naofumi Yasufuku <[email-masked]> writes:
>
>> Andrea Corallo <[email-masked]> writes:
>>
> [..snip..]
>>>
>>> Okay ab4273056e0 should be a better (and safer) fix for this bug, I
>>> pushed it now to 29.  This time hopefully it does not cause
>>> regressions...
>>>
>>> Bests
>>>
>>>   Andrea
>>
>> Thank you.  I will try ;-)
>>
>
> Hi Andrea,
>
> I've confirmed that my build of emacs-29 ab4273056e0 works well.
> Thank you very much for your great work.
>
> - Recompiled all .elc and .eln successfully.
>
> - .eln issues of both yasnippet and ddskk (Japanese input method) have gone.
>   They are successfully loaded, and work without any problem.

Wonderful, thank you very much for reporting!

Closing this then.

Bests

  Andrea

Subject: 29.0.60; native compilation issues
From: Al Haji-Ali <[email-masked]>
To: [email-masked]
Date: Thu, 02 Mar 2023 15:18:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've ran into a few issues with native compilation that I would like to report here in case they are unintentional bugs.

- First, native-compiling a simple file like

(defun test ()
  '(A . B))

after setting a non-zero native-comp-verbose, for example by running:

(let ((native-comp-verbose 1))
    (native-compile buffer-file-name))

gives the error `wrong-type-argument (listp B)`
in `comp-prettyformat-insn`

- Another issue I noticed is that if a file has `no-native-compile: t` and I call `emacs-lisp-native-compile-and-load` anyways on it, I get an error: `Wrong type argument: stringp, nil`. Not sure if this is intended.

- I've also had the following error when compiling a large file with many components (if more information is needed, I can try to pinpoint the reason once verbose debugging is fixed as it is making debugging difficult)

libgccjit.so: error: gcc_jit_context_new_call_through_ptr: mismatching types for argument 1 of fn_ptr: freloc->R64656c6574652d726567696f6e_delete_region_0: assignment to param 1 (type: struct Lisp_X *) from (long long)2 (type: long long)

Best regards,
-- Al